

CAkuPreSimpleFile::CAkuPreSimpleFile( FILE *cfgfp ) 
  : FeatVecLen( "AkuPre.FeatVecLen", cfgfp, 0 ) {

  // check featveclen
  if( FeatVeclen.Par > 0 )
    pFeatVec = new float[FeatVecLen.Par] ;
  else {
    fprintf( stderr, "'CAkuPreSimpleFile::Constructor', invalid length of feature vector (%d) given!\n", FeatVecLen.Par ) ;
    pFeatVec = 0 ;
  } ;

} ;


CAkuPreSimpleFile::~CAkuPreSimpleFile() {
  
  if( pFeatVec != 0 )
    delete[] pFeatVec ;
} ;


int CAkuPreSimpleFile::startAkuPre( const char *filename ) {


  // open file
  if( (datafp = fopen( filename, "r" )) == 0 ) {
    fprintf( stderr, "Can't open htkfile '%s'\n", filename ) ;
    return( _ERR_ ) ;
  } ;
  
  // read header (htk-format) has to be USER, USER_D or USER_D_A and length must match FeatVecLen.Par
  fread( &NrFrames, sizeof(int), 1, datafp ) ;
  fread( &FrameDist, sizeof(int), 1, datafp ) ;
  fread( &VecLen, sizeof(short), 1, datafp ) ;
  fread( &ParmKind, sizeof(short), 1, datafp ) ;

  // check header:
  if( FrameDist != 100000 ) {
    fprintf( stder, "Sorry, wrong FrameDist read from header of '%s', '100000' expected, '%d' read\n", filename, FrameDist ) ;
    return( _ERR_ ) ;
  } ;

  if( VecLen != FeatVecLen.Par ) {
    fprintf( stder, "Sorry, wrong VecLen read from header of '%s', '%d' expected, '%d' read\n", filename, FeatVecLen.Par, VecLen ) ;
    return( _ERR_ ) ;
  } ;

  if( 



  // move pointer to first data entry
