 /******************************************************************************
 * file:        feat_all.h  (definitions for all analysis modes)
 * info:        declaration of common data-types for AkuPre 
 * written by:  M.Beham, 12.01.95 (new)
 * last change: 
 * 
 ******************************************************************************/
/******************************************************************************
 *
 * Copyright (C) 1995 M. Beham
 *                                                                   
 * Alle Rechte vorbehalten. Diese Programmlistings und das daraus
 * erhaltene Programm duerfen nur mit schriftlicher Genehmigung	
 * des Autors weitergegeben werden.
 * Insbesondere duerfen auch Auszuege und die daraus erhaltenen
 * Programmteile nur mit schriftlicher Genehmigung des Autors
 * weitergeben, geaendert oder in Programmen anderer Autoren
 * verwendet werden.
 * Diese Copyright-Information darf nicht entfernt oder geaendert
 * werden.
 * 
 ******************************************************************************/

#if !defined( _FEATALL_H_ )
#define _FEATALL_H_


/* feature fifo data-types */
/* feature vector speech / non-speech flag (P=pause, S=Speech, U=Undef) */
//#define   ESPEECHFLAG  "U, P, PUP, SUP, PUS, SUS, S"
#define   ESPEECHFLAG  "INVALID, U, P, PUP, OUP, SUP, PUO, OUO, SUO, O, PUS, OUS, SUS, S"
typedef enum      { INVALID, U, P, PUP, OUP, SUP, PUO, OUO, SUO, O, PUS, OUS, SUS, S } ESpeechFlag ;

/* length of feature fifo */
#define   FEATURE_BUFLEN  200

/* define diff. keys for pre.proc. */
#define AKUPRE_DRS 1
#define AKUPRE_MUC 2


#endif

