#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef ChanInfoIncluded
#define ChanInfoIncluded

typedef enum { Unknown=-1, RadioHeadset=0, RadioLapel=1, PZM=2, PDA=3, Headset=4, Lapel=5 } EMicType ;
 
class CChanInfo {
protected:
  int       NrSpeaker ; // Anzahl Sprecher des Meetings
  char    **SpeakId   ; // Name des Sprechers
  EMicType *MicType   ; // Mikrofon-Typ
  

public:
  CChanInfo( char *keyfile ) ;
  ~CChanInfo() ;

  int getNrSpeaker() { return( NrSpeaker ) ; } ;
  char *getSpeakId( int speaker ) { return( ((speaker<NrSpeaker && speaker>=0 ) ? SpeakId[speaker] : 0 )) ; } ; 
  EMicType getMicType( int speaker ) { return(( (speaker<NrSpeaker && speaker>=0 ) ? MicType[speaker] : Unknown )) ; } ; 
} ;

#endif
